Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1164 - util-linux doesn't include sfdisk
Summary: util-linux doesn't include sfdisk
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux
Version: 5.2
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-15 05:31 UTC by Chris Siebenmann
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-31 17:18:32 UTC


Attachments (Terms of Use)

Description Chris Siebenmann 1999-02-15 05:31:35 UTC
The sfdisk program is part of the util-linux source kit,
and is useful for various sorts of automated and command
line partition manipulation. However, the generated
util-linux binary RPM does not include it (binary,
manual page, or its example file) on any platform.

Verification: inspect util-linux specfile. Observe lack
of sfdisk in %files section.

Fix: include sfdisk in the %files section, such as by
using/adding:
	%ifarch i386 alpha
	/sbin/sfdisk
	/usr/man/man8/sfdisk.8
	%doc disk-utils/sfdisk.examples
	%endif
(possibly it works on other architectures than i386 and
alpha; I picked those two to match what cfdisk and fdisk
are included for.)

Comment 1 Jeff Johnson 1999-03-26 01:31:59 UTC
Fixed in util-linux-2.9i-4.

Comment 2 Chris Siebenmann 1999-03-30 18:55:59 UTC
The latest Rawhide util-linux RPM includes sfdisk and sfdisk.8,
but doesn't include the sfdisk.examples docfile. sfdisk.examples
is reasonably useful for figuring out sfdisk usage, so I think it
would be good to include it too.

Comment 3 Jeff Johnson 1999-03-31 17:18:59 UTC
Done in util-libux-2.9o-9.


Note You need to log in before you can comment on or make changes to this bug.